Package org.globus.ftp.dc

# Class SimpleSocketBox

java.lang.Object
org.globus.ftp.dc.SimpleSocketBox

All Implemented Interfaces:
  `SocketBox`

Direct Known Subclasses:
  `ManagedSocketBox`

public class SimpleSocketBox extends Object implements SocketBox

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Socket`
`socket`

## Constructor Summary

Constructors
Constructor
Description
`SimpleSocketBox()`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`getSocket()`
`void`
`setSocket(Socket newSocket)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### socket

protected Socket socket

## Constructor Details

### SimpleSocketBox

public SimpleSocketBox()

## Method Details

### setSocket

public void setSocket(Socket newSocket)

Specified by:
  `setSocket` in interface `SocketBox`
See Also:
  - `SocketBox.setSocket(Socket)`

### getSocket

public Socket getSocket()

Specified by:
  `getSocket` in interface `SocketBox`